> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.coinflow.cash/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.coinflow.cash/_mcp/server.

# How To: Implement Marketplace Credits (API)

> **Warning**
>
> **This page is for advanced / cryptocurrency-native companies.** If that's not you, head back to the [Quickstart](/guides/getting-started/quickstart) for the standard flows.

## Summary

Merchants can follow this guide to learn how to implement a Credits purchase flow on Coinflow's Marketplace so that end-users can purchase credits, then spend those credits towards purchases with sellers. Upon spending credits, Sellers receive their earnings in their seller balance and can withdraw at any time.

> **Note:** Coinflow's marketplace credits run on regulated stablecoin rails under the hood, which is why some API responses return a `wallet` address. You don't need any blockchain knowledge to integrate — treat the `wallet` field as an opaque account identifier for the payer's credits balance.

## Setup

* [**Register a marketplace account** on sandbox](https://sandbox-merchant.coinflow.cash/marketplace/register)
  > 🚧 Please reach out to the Coinflow team with your merchant id once you've completed this so we can configure your account for marketplaces!

## Resources

* [Demo of marketplaces](/guides/marketplaces/marketplace-overview#marketplaces-demo)
* Read about [how 3DS works.](/guides/checkout/payment-security-risk-management/fraud-protection/about-chargeback-protection)
* Read about [how to override chargeback protection decisions.](/guides/checkout/payment-security-risk-management/fraud-protection/overriding-chargeback-protection)
* Read about [how credit card payments work](/guides/checkout/payment-scenarios/authorize-capture) .
* Read about [credit card authorization, capture, and void.](https://blog.coinflow.cash/understanding-authorization-capture-and-void-9e582c265bb8)
* Read about [what countries Coinflow supports withdrawing directly to banks to.](/guides/payouts/payout-methods/available-countries)
  * Sellers in countries Coinflow doesn't yet support for direct-to-bank payouts can receive their earnings in USDC (a stablecoin pegged 1:1 to the US dollar). Contact the Coinflow team for details on the USDC withdrawal flow.

## Getting Started

#### 1.[Create a seller registration link](/api-reference/api-reference/marketplace/get-seller-register-link)

* This will generate a link which sellers can use to register themselves as a seller under the marketplace.

```
curl --request POST \
     --url https://api-sandbox.coinflow.cash/api/marketplace/link/seller/registration \
     --header 'Authorization: YOUR_API-KEY_HERE' \
     --header 'accept: application/json' \
     --header 'content-type: application/json' \
     --data '
{
  "email": "sellerEmailAddress@email.com", // the seller email address
  "sellerId": "seller1", // the seller id on your platform
  "country": "us", // the seller's location
  "redirectUrl": "https://www.mywebsite.com/" // url to redirect the seller to upon registration completion
}
'
```

#### 2.[Get a seller login link](/api-reference/api-reference/marketplace/get-seller-login-link)

* This will generate a link which sellers can use to login to their seller dashboard to view purchases, customers, withdraw their funds, view withdraw history.

```
curl --request POST \
     --url https://api-sandbox.coinflow.cash/api/marketplace/link/seller/login \
     --header 'Authorization: YOUR_API-KEY_HERE' \
     --header 'accept: application/json' \
     --header 'content-type: application/json' \
     --data '
{
  "email": "sellerEmailAddress@gmail.com" //you can optionally pass the seller id instead of email eg: {"sellerId": "seller1"}
}
'
```

#### 3.[Create a credits account for the payer](/api-reference/api-reference/marketplace/get-wallet-address-by-email)

In order to purchase credits, payers need a credits account, which holds their balance. Calling this endpoint provisions one for them based on their email. The endpoint returns a `wallet` address — treat this as the credits-account identifier, not as a user-visible crypto wallet.

**`Request`**

```shell Request
curl --location 'https://api-sandbox.coinflow.cash/api/marketplace/wallet' \
--header 'Authorization: YOUR_API_KEY' \
--header 'accept: application/json' \
--header 'content-type: application/json' \
--data-raw '
{
  "email": "tasha+testmarketplace@coinflowlabs.app"
}
'
```

**`Reponse`**

```json Reponse
{
    "wallet": "P1uPQFW6Q9fL8csc8oh9qnFKub7h5JWBWKxmqygGd4U",
    "blockchain": "solana"
}
```

#### 4. Allow the payer to [purchase credits ](/api-reference/api-reference/checkout/get-checkout-link)

This endpoint will generate a purchase link. Marketplaces can collect their own fees for each credit purchase if they'd like. The `fixedFee`  or `percentageFee` will be taken from the `subtotal` and be immediately sent to your marketplace's wallet balance when the payer purchases the credits. In the example below, the marketplace will receive \$5 and the payer will receive \$50 in credits.

**`Request`**

```shell Request
curl --request POST \
     --url https://api-sandbox.coinflow.cash/api/checkout/link \
     --header 'Authorization: YOUR_API_KEY' \
     --header 'accept: application/json' \
     --header 'content-type: application/json' \
     --header 'x-coinflow-auth-blockchain: solana' \
     --header 'x-coinflow-auth-wallet: P1uPQFW6Q9fL8csc8oh9qnFKub7h5JWBWKxmqygGd4U' \ // This should be the wallet address returned in step 1
     --data '
{
  "subtotal": {
    "currency": "USD",
    "cents": 5500
  },
  "fixedFee": {
    "cents": 500
  },
  "email": "tasha+testmarketplace@coinflowlabs.app",
  "blockchain": "solana",
  "settlementType": "Credits"
}
'
```

**`Response`**

```json Response
{
  "link": "https://sandbox.coinflow.cash/solana/purchase-v2/tylee?sessionKey=eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJ3YWxsZXQiOiJQMXVQUUZXNlE5Zkw4Y3NjOG9oOXFuRkt1YjdoNUpXQldLeG1xeWdHZDRVIiwiYmxvY2tjaGFpbiI6InNvbGFuYSIsIm1lcmNoYW50SWQiOiJ0eWxlZSIsImlhdCI6MTc0Mjg0MDA3NiwiZXhwIjoxNzQyOTI2NDc2fQ.ouDD47g1RSTj1QzxncgGbK209DqFJ8uDzVcTM8Oxgx0&cents=5500&currency=USD&email=iamapayer%40gmail.com&useHeightChange=true&jwtToken=eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJkYXRhIjoi456C4oKW26LXguCxoOWMg-uAieiCrOKgoeqZkuiBseqAs-GogOuAguaRgOmwgOOGmeuUgeuAhuazgueghOaanuKAg-SIgsOs7oCC54CJ7oCB7ICL6IiyReOJjOyMhOOtjOekqOqJouySnNik6YCc7IOM6IGG5LW46amQ5ruE6YSE54e17Jqn4Lia5LCO74aS5KGO4Kmq7KGM5LCR4qSI5Kex4YOV4qKC74ao7LGR5bGJ7ZGJ6LCZ6LSo6aG84aad5LCQ5LSw6aGQ6YGN6qST44GM4rS04aOVXHVkOTA44YWS6aao74SK6q6s5YGN4KC14Y-Y7KCJ4KKQ75KR6qaw6KuQ75CY5LKYXHVkOTVj4Yap6qab44GI7ZCN6rSQ7YeZ6qSI5aGR4Kap4qaw77WG46OQ7oaw4YSS46yT5Yug6YGI5KOY7LuQ5aCX7KOyXHVkODRj7KGY5ICB57KAIiwibWVyY2hhbnRJZCI6InR5bGVlIiwiaWRlbXBvdGVuY3lLZXkiOiJJS2VlOWY5NDFlLTc0OGItNGI0OS1iYWNmLTYzYzJhOTRlYzc5YyIsInN1YnRvdGFsIjp7ImN1cnJlbmN5IjoiVVNEIiwiY2VudHMiOjU1MDB9LCJpYXQiOjE3NDI4NDAwNzYsImV4cCI6MTc0MjkyNjQ3Nn0.8gINpQ2EelWrMhBmVEGOZlf58NWF_-B9UYMXbfSHREM"
}
```

**`Display Payment`**

```html Display Payment
<iframe
  allow={'payment'}
  scrolling="no"
  style={{height: '100%', width: '100%'}}
  src={'https://sandbox.coinflow.cash/solana/purchase-v2/tylee?sessionKey=eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJ3YWxsZXQiOiJQMXVQUUZXNlE5Zkw4Y3NjOG9oOXFuRkt1YjdoNUpXQldLeG1xeWdHZDRVIiwiYmxvY2tjaGFpbiI6InNvbGFuYSIsIm1lcmNoYW50SWQiOiJ0eWxlZSIsImlhdCI6MTc0Mjg0MDA3NiwiZXhwIjoxNzQyOTI2NDc2fQ.ouDD47g1RSTj1QzxncgGbK209DqFJ8uDzVcTM8Oxgx0&cents=5500&currency=USD&email=iamapayer%40gmail.com&useHeightChange=true&jwtToken=eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJkYXRhIjoi456C4oKW26LXguCxoOWMg-uAieiCrOKgoeqZkuiBseqAs-GogOuAguaRgOmwgOOGmeuUgeuAhuazgueghOaanuKAg-SIgsOs7oCC54CJ7oCB7ICL6IiyReOJjOyMhOOtjOekqOqJouySnNik6YCc7IOM6IGG5LW46amQ5ruE6YSE54e17Jqn4Lia5LCO74aS5KGO4Kmq7KGM5LCR4qSI5Kex4YOV4qKC74ao7LGR5bGJ7ZGJ6LCZ6LSo6aG84aad5LCQ5LSw6aGQ6YGN6qST44GM4rS04aOVXHVkOTA44YWS6aao74SK6q6s5YGN4KC14Y-Y7KCJ4KKQ75KR6qaw6KuQ75CY5LKYXHVkOTVj4Yap6qab44GI7ZCN6rSQ7YeZ6qSI5aGR4Kap4qaw77WG46OQ7oaw4YSS46yT5Yug6YGI5KOY7LuQ5aCX7KOyXHVkODRj7KGY5ICB57KAIiwibWVyY2hhbnRJZCI6InR5bGVlIiwiaWRlbXBvdGVuY3lLZXkiOiJJS2VlOWY5NDFlLTc0OGItNGI0OS1iYWNmLTYzYzJhOTRlYzc5YyIsInN1YnRvdGFsIjp7ImN1cnJlbmN5IjoiVVNEIiwiY2VudHMiOjU1MDB9LCJpYXQiOjE3NDI4NDAwNzYsImV4cCI6MTc0MjkyNjQ3Nn0.8gINpQ2EelWrMhBmVEGOZlf58NWF_-B9UYMXbfSHREM'} # URL returned from the response
/>
```

#### 5. [Get the Payer's credit balance](/api-reference/api-reference/customers/get-checkout-balances)

Payers can use either credits or any of Coinflow's supported pay-in methods to complete purchases. You can get the balance a payer has in their credits account by calling the [Get Checkout Balances Endpoint.](/api-reference/api-reference/customers/get-checkout-balances)

**`Request`**

```shell Request
curl --location 'https://api-sandbox.coinflow.cash/api/customer/balances/tylee' \
--header 'accept: application/json' \
--header 'x-coinflow-auth-blockchain: solana' \
--header 'x-coinflow-auth-wallet: P1uPQFW6Q9fL8csc8oh9qnFKub7h5JWBWKxmqygGd4U' // User wallet address from step 1
```

**`Response`**

```json Response
{
    "credits": {
        "cents": 0
    },
    "usdc": {
        "cents": 0
    }
}
```

#### 6. Allowing payers to spend their credits

1. [Request JWT Token](/api-reference/api-reference/checkout/get-checkout-jwt-token)\
   This tokenizes the checkout request parameters.

   **`Request`**

   ```curl Request
   curl --request POST \
        --url https://api-sandbox.coinflow.cash/api/checkout/jwt-token \
        --header 'Authorization: YOUR_API_KEY' \
        --header 'x-coinflow-submerchant-id: SELLER_ID' \
        --header 'accept: application/json' \
        --header 'content-type: application/json' \
        --data '
   {
     "webhookInfo": {
       "example": "{\"id\":\"123abc\"}"
     },
     "subtotal": {
       "currency": "USD",
       "cents": 1500
     },
     "fixedFee": {
       "cents": 500
     },
     "blockchain": "solana",
     "settlementType": "Credits",
     "email": "tasha+testmarketplace@coinflowlabs.app",
     "chargebackProtectionData": [
       {
         "productType": "fundACause",
         "rawProductData": {
           "example": "{\"description\": \"anything about the purchase\"}"
         },
         "productName": "my product name",
         "quantity": 1
       }
     ]
   }
   '
   ```

   **`Response`**

   ```Text Response
   {
     "checkoutJwtToken": "eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJkYXRhIjoi456C4oKW26LXgtOA4YyA44CQ7IKs5K2A5aKQ5LiC44iQ6Iu44LGg4aaCzrHqroDkmYnmjqnnn5vooIDtgoDipoDnmqTJsOCnoMeA4K630IDkkZHopYPQgOaYgOGwgFx1ZDlmMuq1nuWukuOrueymo-qKkeW0reioj-6Oh-WyluWWpeSqqOSmuO6lvOaliOKOremSt-GTuemWo-qHkeyHueqOkOqMq-mIqeWLoeaBquKvo-eNsuKpqeWKq-GtseqHguaPke6Goueqk-KqmOqHkeWHg-iVo-KlkOqOouWngeaLuOqNquKbo-mOkeyKqeyBkeGZquKiouGdsu6GleKOq-Kgo-KrhOKOkumCmuWloeGmkuOPl-eKkeedqeeSjO2WoeqareerouGqqe6GueWOk-6AoeyLoeKNs-6LouW2oN2x7Y2x6q2z6Ji766m15YS-4qym76mm4auQ7qOj5J6L4YyO5JGx5YSU75Gg6aGY7K2y7IG46YO44b6l5ZKu7Zqg4oec4KCV4omb6JyD6I2V4pGw4ZKIXHVkY2Ey5o2p76CS7KiL6YiR5JqG5Ke07LmkXHVkYzJm7Kin5JKq7oSU47ik6q2Y6JyH7IKg6YKk4rCT5a6F5I-C5KGQ6YKa4riC5qqh6KWg5aak5aWc4Kyk6Iqj4qai66GV4YaY5b6H6aCS5YO74qK-5Lae5JeB7IWe66CS6pWK6IKG7oSx4omG0obqsoXkg5fhj4XrhYPptpLokofSoOqyjOSore2Wg-aMieODqe66vOeJjuaOrOWNpOe6heaUqlx1ZGYwYeiUueqDkO-qqee3nuytsu-onOiHnu2Upuelg-iCtOGGseC7vuuEseKvqOScqOaqpOaMoumzpeyuoOmjqOi2n-K6nuWah-OFkOmKhOSIpOKTgO6GueensOGqmOiWvu2Vgum_jeakpuGMhVx1ZGIwOem8sOqHpuCluuSCrOGKp-6VpuKFpOeoteWcheOZuueKg-a5lemIquqak-uPi-eSqu-Uheu5kuiaoOKapuqoteOGhFx1MDAwNe-IgCIsIm1lcmNoYW50SWQiOiJ0eWxlZSIsImlkZW1wb3RlbmN5S2V5IjoiSUs0Mjc4NmEwNi1jZTY5LTRmZjgtYjAwNC01NjY5NzJhOWExN2UiLCJzdWJ0b3RhbCI6eyJjdXJyZW5jeSI6IlVTRCIsImNlbnRzIjo1NTAwfSwiaWF0IjoxNzQyODQwMzg2LCJleHAiOjE3NDI5MjY3ODZ9.hwTqUe8AdCOT2JTW31WYvFVa08Y-N8gGUsBA8VEcN08"
   }
   ```
2. [Generate a tokenized checkout link](/api-reference/api-reference/marketplace/get-purchase-with-credits-link) so end-user can spend their credits.

**`Request`**

```curl Request
curl --request POST \
     --url https://api-sandbox.coinflow.cash/api/marketplace/link/purchase/credits \
     --header 'Authorization: YOUR_API_KEY' \
     --header 'accept: application/json' \
     --header 'content-type: application/json' \
     --data '
{
  "checkoutJwtToken": "eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJkYXRhIjoi456C4oKW26LXgtOA4YyA44CQ7IKs5K2A5aKQ5LiC44iQ6Iu44LGg4aaCzrHqroDkmYnmjqnnn5vooIDtgoDipoDnmqTJsOCnoMeA4K630IDkkZHopYPQgOaYgOGwgFx1ZDlmMuq1nuWukuOrueymo-qKkeW0reioj-6Oh-WyluWWpeSqqOSmuO6lvOaliOKOremSt-GTuemWo-qHkeyHueqOkOqMq-mIqeWLoeaBquKvo-eNsuKpqeWKq-GtseqHguaPke6Goueqk-KqmOqHkeWHg-iVo-KlkOqOouWngeaLuOqNquKbo-mOkeyKqeyBkeGZquKiouGdsu6GleKOq-Kgo-KrhOKOkumCmuWloeGmkuOPl-eKkeedqeeSjO2WoeqareerouGqqe6GueWOk-6AoeyLoeKNs-6LouW2oN2x7Y2x6q2z6Ji766m15YS-4qym76mm4auQ7qOj5J6L4YyO5JGx5YSU75Gg6aGY7K2y7IG46YO44b6l5ZKu7Zqg4oec4KCV4omb6JyD6I2V4pGw4ZKIXHVkY2Ey5o2p76CS7KiL6YiR5JqG5Ke07LmkXHVkYzJm7Kin5JKq7oSU47ik6q2Y6JyH7IKg6YKk4rCT5a6F5I-C5KGQ6YKa4riC5qqh6KWg5aak5aWc4Kyk6Iqj4qai66GV4YaY5b6H6aCS5YO74qK-5Lae5JeB7IWe66CS6pWK6IKG7oSx4omG0obqsoXkg5fhj4XrhYPptpLokofSoOqyjOSore2Wg-aMieODqe66vOeJjuaOrOWNpOe6heaUqlx1ZGYwYeiUueqDkO-qqee3nuytsu-onOiHnu2Upuelg-iCtOGGseC7vuuEseKvqOScqOaqpOaMoumzpeyuoOmjqOi2n-K6nuWah-OFkOmKhOSIpOKTgO6GueensOGqmOiWvu2Vgum_jeakpuGMhVx1ZGIwOem8sOqHpuCluuSCrOGKp-6VpuKFpOeoteWcheOZuueKg-a5lemIquqak-uPi-eSqu-Uheu5kuiaoOKapuqoteOGhFx1MDAwNe-IgCIsIm1lcmNoYW50SWQiOiJ0eWxlZSIsImlkZW1wb3RlbmN5S2V5IjoiSUs0Mjc4NmEwNi1jZTY5LTRmZjgtYjAwNC01NjY5NzJhOWExN2UiLCJzdWJ0b3RhbCI6eyJjdXJyZW5jeSI6IlVTRCIsImNlbnRzIjo1NTAwfSwiaWF0IjoxNzQyODQwMzg2LCJleHAiOjE3NDI5MjY3ODZ9.hwTqUe8AdCOT2JTW31WYvFVa08Y-N8gGUsBA8VEcN08",
  "email": "tasha+testmarketplace@coinflowlabs.app"
}
'
```

**`Response`**

```Text Response
{
  "link": "https://sandbox-marketplace.coinflow.cash/checkout-credits?sellerId=tylee&cents=5500&jwtToken=eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJkYXRhIjoi456C4oKW26LXgtOA4YyA44CQ7IKs5K2A5aKQ5LiC44iQ6Iu44LGg4aaCzrHqroDkmYnmjqnnn5vooIDtgoDipoDnmqTJsOCnoMeA4K630IDkkZHopYPQgOaYgOGwgFx1ZDlmMuq1nuWukuOrueymo-qKkeW0reioj-6Oh-WyluWWpeSqqOSmuO6lvOaliOKOremSt-GTuemWo-qHkeyHueqOkOqMq-mIqeWLoeaBquKvo-eNsuKpqeWKq-GtseqHguaPke6Goueqk-KqmOqHkeWHg-iVo-KlkOqOouWngeaLuOqNquKbo-mOkeyKqeyBkeGZquKiouGdsu6GleKOq-Kgo-KrhOKOkumCmuWloeGmkuOPl-eKkeedqeeSjO2WoeqareerouGqqe6GueWOk-6AoeyLoeKNs-6LouW2oN2x7Y2x6q2z6Ji766m15YS-4qym76mm4auQ7qOj5J6L4YyO5JGx5YSU75Gg6aGY7K2y7IG46YO44b6l5ZKu7Zqg4oec4KCV4omb6JyD6I2V4pGw4ZKIXHVkY2Ey5o2p76CS7KiL6YiR5JqG5Ke07LmkXHVkYzJm7Kin5JKq7oSU47ik6q2Y6JyH7IKg6YKk4rCT5a6F5I-C5KGQ6YKa4riC5qqh6KWg5aak5aWc4Kyk6Iqj4qai66GV4YaY5b6H6aCS5YO74qK-5Lae5JeB7IWe66CS6pWK6IKG7oSx4omG0obqsoXkg5fhj4XrhYPptpLokofSoOqyjOSore2Wg-aMieODqe66vOeJjuaOrOWNpOe6heaUqlx1ZGYwYeiUueqDkO-qqee3nuytsu-onOiHnu2Upuelg-iCtOGGseC7vuuEseKvqOScqOaqpOaMoumzpeyuoOmjqOi2n-K6nuWah-OFkOmKhOSIpOKTgO6GueensOGqmOiWvu2Vgum_jeakpuGMhVx1ZGIwOem8sOqHpuCluuSCrOGKp-6VpuKFpOeoteWcheOZuueKg-a5lemIquqak-uPi-eSqu-Uheu5kuiaoOKapuqoteOGhFx1MDAwNe-IgCIsIm1lcmNoYW50SWQiOiJ0eWxlZSIsImlkZW1wb3RlbmN5S2V5IjoiSUs0Mjc4NmEwNi1jZTY5LTRmZjgtYjAwNC01NjY5NzJhOWExN2UiLCJzdWJ0b3RhbCI6eyJjdXJyZW5jeSI6IlVTRCIsImNlbnRzIjo1NTAwfSwiaWF0IjoxNzQyODQwMzg2LCJleHAiOjE3NDI5MjY3ODZ9.hwTqUe8AdCOT2JTW31WYvFVa08Y-N8gGUsBA8VEcN08&email=iamapayer%40gmail.com"
}
```

3. Add link to an iframe

   **`Generate Iframe`**

   ```html Generate Iframe
   <div style={{height: '450px', width: '350px'}}>
     <iframe
       scrolling="no"
       style={{height: '100%', width: '100%'}}
       src={`https://sandbox-marketplace.coinflow.cash/checkout-credits?sellerId=tylee&cents=1500&jwtToken=eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJkYXRhIjoi456C4oKW26LXgtOA4YyA44CQ7IKs5K2A5aKQ5LiC44iQ6Iu44LGg4aaCzrHqroDkmYnmjqnnn5vooIDtgoDipoDnmqTJsOCnoMeA4K630IDkkZHopYPQgOaYgOGwgFx1ZDlmMuq1nuWukuOrueymo-qKkeW0reioj-6Oh-WyluWWpeSqqOSmuO6lvOaliOKOremSt-GTuemWo-qHkeyHueqOkOqMq-mIqeWLoeaBquKvo-eNsuKpqeWKq-GtseqHguaPke6Goueqk-KqmOqHkeWHg-iVo-KlkOqOouWngeaLuOqNquKbo-mOkeyKqeyBkeGZquKiouGdsu6GleKOq-Kgo-KrhOKOkumCmuWloeGmkuOPl-eKkeedqeeSjO2WoeqareerouGqqe6GueWOk-6AoeyLoeKNs-6LouW2oN2x7Y2x6q2z6Ji766m15YS-4qym76mm4auQ7qOj5J6L4YyO5JGx5YSU75Gg6aGY7K2y7IG46YO44b6l5ZKu7Zqg4oec4KCV4omb6JyD6I2V4pGw4ZKIXHVkY2Ey5o2p76CS7KiL6YiR5JqG5Ke07LmkXHVkYzJm7Kin5JKq7oSU47ik6q2Y6JyH7IKg6YKk4rCT5a6F5I-C5KGQ6YKa4riC5qqh6KWg5aak5aWc4Kyk6Iqj4qai66GV4YaY5b6H6aCS5YO74qK-5Lae5JeB7IWe66CS6pWK6IKG7oSx4omG0obqsoXkg5fhj4XrhYPptpLokofSoOqyjOSore2Wg-aMieODqe66vOeJjuaOrOWNpOe6heaUqlx1ZGYwYeiUueqDkO-qqee3nuytsu-onOiHnu2Upuelg-iCtOGGseC7vuuEseKvqOScqOaqpOaMoumzpeyuoOmjqOi2n-K6nuWah-OFkOmKhOSIpOKTgO6GueensOGqmOiWvu2Vgum_jeakpuGMhVx1ZGIwOem8sOqHpuCluuSCrOGKp-6VpuKFpOeoteWcheOZuueKg-a5lemIquqak-uPi-eSqu-Uheu5kuiaoOKapuqoteOGhFx1MDAwNe-IgCIsIm1lcmNoYW50SWQiOiJ0eWxlZSIsImlkZW1wb3RlbmN5S2V5IjoiSUs0Mjc4NmEwNi1jZTY5LTRmZjgtYjAwNC01NjY5NzJhOWExN2UiLCJzdWJ0b3RhbCI6eyJjdXJyZW5jeSI6IlVTRCIsImNlbnRzIjo1NTAwfSwiaWF0IjoxNzQyODQwMzg2LCJleHAiOjE3NDI5MjY3ODZ9.hwTqUe8AdCOT2JTW31WYvFVa08Y-N8gGUsBA8VEcN08&email=tasha%2Btestmarketplace%40coinflowlabs.app`}
     />
   </div>
   ```

\


#### 7. Listen to webhook events for:

* [seller registration related webhook events](/guides/marketplaces/marketplaces-webhooks)
* [checkout related webhook events](/guides/developer-resources/webhooks/checkout-webhooks#v3-event-types)
* [subscription related webhooks events](/guides/developer-resources/webhooks/checkout-webhooks)

#### 8. [Add Chargeback protection](/guides/checkout/payment-security-risk-management/fraud-protection/implement-chargeback-protection#how-to-add-chargeback-protection) on every page of your site!!

* Note: It is a **requirement** to add this script to the head of **every page**, and not just where the payment occurs. After filling in the chargeback protection questionnaire, Coinflow will provider a partner id.